Package org.eclipse.cdt.core.settings.model.util

# Class CSettingEntryFactory

java.lang.Object
org.eclipse.cdt.core.settings.model.util.CSettingEntryFactory

@Deprecated public class CSettingEntryFactory extends Object
Deprecated.
Since CDT 9.0. Use corresponding `CDataUtil` methods instead.
Used to be factory/cache of setting entries. Superseded by `CDataUtil` pool of entries. Not used in CDT anymore.

## Constructor Summary

Constructors
Constructor
Description
`CSettingEntryFactory()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Deprecated.
`ICSettingEntry`
`getEntry(int kind, String name, String value, org.eclipse.core.runtime.IPath[] exclusionPatterns, int flags, boolean create)`
Deprecated.
`ICSettingEntry`
`getEntry(ICSettingEntry entry)`
Deprecated.
`ICLanguageSettingEntry`
`getLanguageSettingEntry(ICLanguageSettingEntry entry)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSettingEntryFactory

public CSettingEntryFactory()
Deprecated.

## Method Details

### getEntry

public ICSettingEntry getEntry(ICSettingEntry entry)
Deprecated.

### getLanguageSettingEntry

public ICLanguageSettingEntry getLanguageSettingEntry(ICLanguageSettingEntry entry)
Deprecated.

### getEntry

public ICSettingEntry getEntry(int kind, String name, String value, org.eclipse.core.runtime.IPath[] exclusionPatterns, int flags, boolean create)
Deprecated.

### clear

public void clear()
Deprecated.